
Auto Multiple Choice - Feature # 59: Add posibility to print seperate anser sheets as separate files.

Status: Closed Priority: Low
Created: 05/18/2012 Assignee:
Description: Scanners with automatic document feeders work best if the paper to be scanned is unwrinkled and 

undamaged.

Exams are distributed easiest if all pages are stapled together, which modern high volume printer can do 
automatically.

If the answer sheet to be filled in by the students is stapled to the exam, it will either be wrinkled or folded, or 
torn off. 
In both cases the paper will be somewhat damaged.

To avoid that, I separate from each copieXXX.pdf file the answer sheet (in fact the last two pages) with a 
"pdftk":http://www.pdflabs.com/tools/pdftk-the-pdf-toolkit/ command. pdftk is available in the debian/ubuntu 
repositories. For each exam I produce a separate answerXXX.pdf file and print that separately. I let the 
students use the attached (as in stapled to the exam) answer sheet as the tentative answer sheet and let them 
copy the answers to this separate sheet.

Since individual exams can have different page numbers, reliably picking out the answer sheets is hard. 
Sometime the answer sheet is an even page, in the next exam (in the same run) it could be an odd page. Now 
I simply guess that the last two pages of a copieXXX.pdf file will contain the answer sheet and I extract those.

It would be most comfortable if the print menu had the possibility to control the printing of separate answer 
sheets with for instance a check box, producing both copieXXX.pdf and answerXXX.pdf files in just one run. I 
imagine it to be simple, as the printing module knows where each exam starts in the whole big pdf file and 
might also know where the answer sheets are in that big file.

History
05/18/2012 01:00 pm - Alexis Bienvenüe
- Target version set to 1.2.0

With my printer/scanner, I can remove the staples from the completed answer sheets cutting the corner with a guillotine (without separate answer 
sheet) or with scissors (with a separate answer sheet, students do the job) without any problem (as long as the corner marks remain on the page). This 
way I'm sure each student has the right answer sheet, corresponding to its subject.
Anyway, your suggestion is sensible.

05/29/2012 10:35 pm - Alexis Bienvenüe
- Status changed from New to Feedback

I added this feature in revision r1096: please test it.

05/29/2012 11:06 pm - Pieter  Van den Hombergh
Alexis Bienvenüe wrote:
> I added this feature in revision r1096: please test it.

I have just tested it.
A run on an old exam shows that the program now produces three separate pdf files per student/exam.
The complete pdf files (all exams in one pdf, as produced in the latex run) contains 656 pages and from that 82 exams are produced.

The files are all called sheet-XXXX-YZ.pdf on which XXXX is a sequence number as in earlier AMC versions like sheet-0001.
Y and appears to have the values 0, 1 and 2, Z has the values 'A' and 'S', 
the combinations are 0S, 1A and 2S.

The 0S files contain the questions with all other pages removed,
The 1A files contain the answer pages with the boxes to be checked by the students and
the 2S files are the backsides of the answer sheets, which are produced because of a 
\cleardoublepage, because we want an even number of pages per students.
I verified that the files all have the same content type, by using pdftk to cat the 1A and 2S files in one file and optically checked that only answer pages 
or backsides where in the file.

Test completed and finds no problems.

In short, it works, excellent and thank you.
 

05/29/2012 11:14 pm - Alexis Bienvenüe
- Status changed from Feedback to Resolved

Thanks for testing!
Note that when using CUPS for printing, \cleardoublepage is not good because three printing jobs will be sent, the third with only the backside of the 
answer sheet... Without \cleardoublepage, there will be only two jobs, and the second will have only one page (the answer sheet) - but as this will be 
sent to CUPS as a separate job, the backside will be empty as expected.

12/18/2012 05:50 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from Resolved to Closed
